package ru.ulstu.file.model;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.Date;

public class FileDataDto {
    private Integer id;
    private String name;
    private long size;
    private Date createDate;
    private byte[] data;
    private String fileName;
    private String tmpFileName;

    private boolean deleteFlag;

    public FileDataDto() {
    }

    @JsonCreator
    public FileDataDto(@JsonProperty("id") Integer id,
                       @JsonProperty("name") String name,
                       @JsonProperty("size") long size,
                       @JsonProperty("createDate") Date createDate,
                       @JsonProperty("data") byte[] data,
                       @JsonProperty("fileName") String fileName,
                       @JsonProperty("tmpFileName") String tmpFileName) {
        this.id = id;
        this.name = name;
        this.size = size;
        this.createDate = createDate;
        this.data = data;
        this.fileName = fileName;
        this.tmpFileName = tmpFileName;
    }

    public FileDataDto(FileData fileData) {
        this.id = fileData.getId();
        this.name = fileData.getName();
        this.size = fileData.getSize();
        this.createDate = fileData.getCreateDate();
        this.data = fileData.getData();
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public long getSize() {
        return size;
    }

    public void setSize(long size) {
        this.size = size;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public byte[] getData() {
        return data;
    }

    public void setData(byte[] data) {
        this.data = data;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getTmpFileName() {
        return tmpFileName;
    }

    public void setTmpFileName(String tmpFileName) {
        this.tmpFileName = tmpFileName;
    }

    public boolean isDeleteFlag() {
        return deleteFlag;
    }

    public void setDeleteFlag(boolean deleteFlag) {
        this.deleteFlag = deleteFlag;
    }

}
